import { MediaUpload, MediaUploadCheck } from '@wordpress/block-editor';
import { Button } from '@wordpress/components';

const ModulesMediaUpload = ( props ) => {
	const { values, setMedia, btnTxt, additionalData, extraClass, type } = props;
	const ALLOWED_MEDIA_TYPES = type === 'moduleImageSlider' ? [ 'image' ] : [];

	return (
		<MediaUploadCheck>
			<MediaUpload
				onSelect={ setMedia }
				value={ values }
				render={ ( { open } ) => (
					<Button
						className="add-new-link-btn"
						onClick={ open }
						variant="primary"
					>
						{ btnTxt }
					</Button>
				) }
				multiple={ 'add' }
				additionalData={ additionalData }
				modalClass={ extraClass }
				allowedTypes={ ALLOWED_MEDIA_TYPES }
			/>
		</MediaUploadCheck>
	);
};

export default ModulesMediaUpload;
