import {
	RichText,
} from '@wordpress/block-editor';

export default function ModulesSave( { attributes } ) {
	const {
		title,
		description,
		textColor,
	} = attributes;

	const titleColor = textColor
		? `var(--wp--preset--color--${ textColor })`
		: '#3c5063';

	return (
		<div>
			<RichText.Content
				tagName="span"
				value={ title }
				className="title"
				style={ { color: titleColor } }
			/>
			<RichText.Content
				tagName="span"
				className="description"
				value={ description }
			/>
		</div>
	);
}
