/**
 * Register Register Block
 *
 * @package
 * @since       4.12
 */

import { registerBlockType } from '@wordpress/blocks';
import metadata from './block.json';
import Edit from './edit';
import { shouldUseFallbackCategory } from '../helper';

registerBlockType( metadata.name, {
	title: metadata.title,
	description: metadata.description,
	category: shouldUseFallbackCategory ? metadata.category : 'leco-client-portal',
	icon: metadata.icon,
	keywords: metadata.keywords,
	supports: {
		anchor: true, // allow support for an anchor tag.
		customClassName: true, // allows a custom classname to be added by the user.
		html: false, // allow the html to be edited.
		multiple: false, // allows more than one block of that type on the page.
		reusable: false, // whether block is allowed to be a reusable block.
	},
	attributes: metadata.attributes,
	edit: Edit,
	save: () => {
		return null;
	},
} );
