import { __ } from '@wordpress/i18n';
import { dispatch } from '@wordpress/data';
import domReady from '@wordpress/dom-ready';

domReady( function() {
	const lecoNotices = window.lecoNotices;

	if ( lecoNotices.length > 0 ) {
		const noticeActions = lecoNotices.filter( ( notice ) => notice.link !== '' ).map( ( notice ) => {
			return {
				url: notice.link,
				label: notice?.title ? notice.title : __( 'Untitled portal', 'leco_cp' ),
			};
		} );

		dispatch( 'core/notices' ).createNotice(
			'info', // Can be one of: success, info, warning, error.
			__( 'This content page has been linked with:', 'leco_cp' ),
			{
				isDismissible: false,
				actions: noticeActions,
			}
		);
	}
} );
