<?php
/**
 * Header Block Pattern
 *
 * @since 5.0
 *
 * @package LECO\Client_Portal\Templates\Five
 */
$options = get_option( 'leco_cp_options' );

// Logo Image
$default_logo = isset( $options['logo_id'] ) && isset( $options['logo'] ) ? sprintf(
	' {"logo":{"id":%d,"url":"%s","alt":""}}',
	$options['logo_id'],
	$options['logo']
) : '';

// Banner Image
$has_default_banner = isset( $options['header_background_image_id'] ) && isset( $options['header_background_image'] );

$default_banner_meta = $has_default_banner ? sprintf(
	'"url":"%s","id":%d,',
	$options['header_background_image'],
	intval( $options['header_background_image_id'] )
) : '';

$default_banner_img = $has_default_banner ? sprintf(
	'<img class="wp-block-cover__image-background wp-image-%d" alt="" src="%s" data-object-fit="cover"/>',
	intval( $options['header_background_image_id'] ),
	$options['header_background_image']
) : '';

$dim_ratio = $has_default_banner ? 50 : 100;
$dim_classname = $has_default_banner ? '' : 'has-background-dim-100';

?>
<!-- wp:cover {<?php echo wp_kses_data( $default_banner_meta ); ?>"dimRatio":<?php echo wp_kses_data( $dim_ratio ); ?>,"overlayColor":"leco-cp-primary","isUserOverlayColor":true,"contentPosition":"center center","isDark":false,"tagName":"header","align":"full","className":"title-section"} -->
<header class="wp-block-cover alignfull is-light title-section">
<span aria-hidden="true" class="wp-block-cover__background has-leco-cp-primary-background-color <?php echo esc_attr($dim_classname); ?> has-background-dim"></span>
<?php echo wp_kses_post( $default_banner_img ); ?>
	<div class="wp-block-cover__inner-container">
        <!-- wp:group {"style":{"spacing":{"blockGap":"var:preset|spacing|40"}},"layout":{"type":"flex","orientation":"vertical","justifyContent":"center","flexWrap":"nowrap"}} -->
        <div class="wp-block-group">
            <!-- wp:leco-cp/header-logo<?php echo wp_kses_data( $default_logo ); ?> /-->
            <!-- wp:post-title /-->
            <!-- wp:navigation <?php echo wp_kses_post(leco_cp_get_block_navigation()); ?> /-->
        </div>
        <!-- /wp:group -->
    </div>
</header>
<!-- /wp:cover -->
