<?php
/**
 * Multiple files lity box.
 *
 * @var string $number         The phase number.
 * @var string $key            The module key.
 * @var string $icon           The module icon.
 * @var string $status         The module status.
 * @var string $title          The module title.
 * @var string $description    The module description.
 * @var array  $uploaded_files The files.
 *
 * @package LECO\Client_Portal\Five
 */
?>
<div class="lity-hide" id="module_<?php echo esc_attr( $number ) . '_' . esc_attr( $key ); ?>">
	<div class="module <?php echo esc_attr( $status ); ?>">
		<span class="ico-area">
			<span class="iconset">
				<?php echo leco_cp_get_module_icon( $icon, $key, $number ); // phpcs:ignore. ?>
			</span>
		</span>
		<?php echo wp_kses_post( $title_description ); ?>
	</div>

	<ul class="files">
		<?php
		if ( $uploaded_files ) {
			foreach ( $uploaded_files as $ID => $file ) {
				if ( isset( $file['url'] ) ) {
					$file_url  = leco_cp_get_file_btoa( $file, get_the_ID() );
					if ( ! $file_url ) {
						continue;
					}

					$file_name = isset( $file['title'] ) ? $file['title'] : $file['filename'];
				} else {
					// Check if file exists in the media library.
					continue;
				}
				?>
				<li>
					<a href="<?php echo esc_url( $file_url ); ?>" download>
						<span class="progress"></span>
						<?php echo esc_html( $file_name ); ?>
						<span class="icon-download">
							<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" x="0px"
								 y="0px" viewBox="0 0 48 48" style="enable-background:new 0 0 48 48;" xml:space="preserve">
								<title><?php esc_html_e( 'Download', 'leco-cp' ); ?></title>
								<g>
									<path class="st0" d="M43,31v6c0,3.3-3,6-6.6,6H11.6C8,43,5,40.3,5,37v-6"></path>
									<line class="st0" x1="24" y1="4" x2="24" y2="31"></line>
									<polyline class="st0" points="14,21 24,31 34,21  "></polyline>
								</g>
							</svg>
						 </span>
					</a>
				</li>
			<?php } } ?>
	</ul>
</div>
