<?php
/**
 * Multiple URLs lity box.
 *
 * @var string $number      The phase number.
 * @var string $key         The module key.
 * @var string $icon        The module icon.
 * @var string $status      The module status.
 * @var string $title       The module title.
 * @var string $description The module description.
 * @var string $phaseID     The phase ID.
 *
 * @package LECO\Client_Portal\Five
 */
?>
<div class="lity-hide" id="module_mark_as_complete_<?php echo $number . '_' . $key; ?>">
    <div class="module <?php echo esc_attr( $status ); ?>">
		<span class="ico-area">
			<span class="iconset">
				<?php echo leco_cp_get_module_icon( $icon, $key, $number ); // phpcs:ignore. ?>
			</span>
		</span>
		<?php echo wp_kses_post( $title_description ); ?>
	</div>

    <div class="mark-complete__btn">
        <button
            class="wp-block-button__link mark-complete__btn-link"
            data-leco-cp-confirm-delete="true"
            data-key="<?php echo $phaseID; ?>"
            data-post-id="<?php echo get_the_id(); ?>"
            data-action="mark_as_complete"
        >
            <span>
                <?php echo apply_filters( 'leco_cp_mark_as_complete_long_text', esc_html__( 'Mark this module as complete?', 'leco-cp' ) ); ?>
            </span>
        </button>
    </div>
</div>
