<?php
/**
 * Block styles for Gutenberg Blocks
 *
 * @since       4.12
 */

// Get colors from CP settings.
$pc  = leco_cp_get_option( 'primary_color', '#52cdf5' );
$ptc = leco_cp_get_option( 'primary_text_color', '#ffffff' );
$sc  = leco_cp_get_option( 'secondary_color', '#ff5f5f' );
$stc = leco_cp_get_option( 'secondary_text_color', '#ffffff' );
$tc  = leco_cp_get_option( 'tertiary_color', '#3c5063' );
$ttc = leco_cp_get_option( 'tertiary_text_color', '#ffffff' );

?>

<style>
	.leco-cp-branding {
		--leco-cp-form-max-width: 700px;

		<?php if ( leco_client_portal()->is_five() ) { ?>

			--wp--preset--color--leco-cp-primary: <?php echo ( empty( $pc ) ) ? 'transparent' : $pc; ?>;
			--wp--preset--color--leco-cp-primary-text: <?php echo ( empty( $ptc ) ) ? 'transparent' : $ptc; ?>;
			--wp--preset--color--leco-cp-secondary: <?php echo ( empty( $sc ) ) ? 'transparent' : $sc; ?>;
			--wp--preset--color--leco-cp-secondary-text: <?php echo ( empty( $stc ) ) ? 'transparent' : $stc; ?>;
			--wp--preset--color--leco-cp-tertiary: <?php echo ( empty( $tc ) ) ? 'transparent' : $tc; ?>;
			--wp--preset--color--leco-cp-tertiary-text: <?php echo ( empty( $ttc ) ) ? 'transparent' : $ttc; ?>;
			--leco-cp-theme--blue: #52cdf5;
			--leco-cp-theme--dark-blue: #3c5063;
			--leco-cp-theme--gray: #8594a3;
			--leco-cp-theme--red: #ff5f5f;
			--leco-cp-theme--gray-light: #e7eaec;
			--leco-cp-theme--bg-gray: #f6f8f9;
			--tw-bg-opacity: 1;
			font-family: Open Sans, ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
			-webkit-font-smoothing: antialiased;
			-moz-osx-font-smoothing: grayscale;

		<?php } else { ?>

			--primary-color: <?php echo ( empty( $pc ) ) ? 'transparent' : $pc; ?>;
			--primary-text-color: <?php echo ( empty( $ptc ) ) ? 'transparent' : $ptc; ?>;
			--secondary-color: <?php echo ( empty( $sc ) ) ? 'transparent' : $sc; ?>;
			--secondary-text-color: <?php echo ( empty( $stc ) ) ? 'transparent' : $stc; ?>;
			--tertiary-color: <?php echo ( empty( $tc ) ) ? 'transparent' : $tc; ?>;
			--tertiary-text-color: <?php echo ( empty( $ttc ) ) ? 'transparent' : $ttc; ?>;

		<?php } ?>
	}
</style>
